Follow

Total War: Rome 1 (Gamespy Edition) - Patches 1.3. and 1.5

If you have a downloaded copy of the game, please confirm which version the service installed before attempting to patch.  The "v1.3" patch can be applied directly to the game.  The "v1.3 - v1.5" patch can only be applied if the game is already patched to v1.3.

Was this article helpful?
0 out of 0 found this helpful
Have more questions? Submit a request

Comments

Powered by Zendesk